MKD2HTML(1)

NAME
mkd2html - convert a markdown document into (X)HTML

SYNOPSIS
mkd2html [-dHhmnx] [file]

DESCRIPTION
mkd2html utility reads file and generates (X)HTML input from markdown source. If unspecified, file is taken to be standard input.

By default, mkd2html implies -H and -m options.

The options are as follows:

-d, - -discount
    enable Discount extensions:

    •   image size specification, by appending "=(width)x(height)" to the link

    •   pseudo-protocols in links:

        •   abbr:description for <abbr title="description">...</abbr>

        •   class:name for <span class="name">...</span>

        •   id:name for <span id="name">...</span>

        •   raw:text for verbatim unprocessed text inclusion

    •   class blocks: blockquotes beginning with %class% will be rendered as a div of the given class(es)

    and PHP-Markdown-like tables.

-H, - -html
    output HTML (self-closing tags like: <br>).

-h, - -help
    display help text.

-m, - -markdown
    disable all extensions and use strict markdown syntax.

-n, - -natext
    enable Discount extensions and Natasha's own extensions:

    •   id attribute for headers, using the syntax id#Header text

    •   class attribute for paragraphs, by putting class name(s) between parenthesis at the very beginning of the paragraph

    •   <ins> and <del> spans, using respectively ++ and -- as delimiters (with emphasis-like restrictions, i.e. an opening delimiter cannot be followed by a whitespace, and a closing delimiter cannot be preceded by a whitespace)

    •   plain <span> without attribute, using emphasis-like delimiter |

-x, - -xhtml
    output XHTML (self-closing tags like: <br />).

EXIT STATUS

SEE ALSO
mkd2latex(1), mkd2man(1)

AUTHORS
-nosplit mkd2html was written by Natasha "Kerensikova" Porte <natacha@instinctive.eu>. Manual page was originally written by Massimo Manghi <mxmanghi@apache.org>, and rewritten to mdoc format by Svyatoslav Mishyn <juef@openmailbox.org>.